Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.context.control
Class FullScreenListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener
          org.deegree.portal.standard.context.control.AbstractContextListener
              org.deegree.portal.standard.context.control.FullScreenListener

All Implemented Interfaces:
  EventListener, WebListener

    public class FullScreenListener

extends AbstractContextListener

Convert the current view context to a full screen mode. It hides all the modules except the map and the toolbar. It also keeps whatever changes were made in the original context to the full screen context

Version:
  $Revision: $, $Date: 1 Jun 2007 10:12:29$
Author:
  Moataz Elmasry, last edited by: $Author: $

Field Summary
`static String` | `CONTEXTPATH` the path to where the Web Map Context files are found
`protected static String` | `DEFAULT_CTXT2HTML` A `String` defining the name of the xsl file that defines the transformation from a context to html.

Fields inherited from class org.deegree.portal.standard.context.control.AbstractContextListener
`userDir`

Constructor Summary
`FullScreenListener()`

Method Summary
`void` | `actionPerformed(FormEvent event)`
`protected ViewContext` | `createFullScreenContext(RPCStruct struct, ViewContext vc)` Sets the given context to FullScreen mode.
`protected void` | `initialize()` Initializes the global variables
`protected void` | `setCurrentContext(ViewContext vc)` Takes in viewContext converts it to a html of the viewcontext and display it
`protected ViewContext` | `setToFullScreen(RPCWebEvent rpc)` Applies the modules read from the context.properties file to the current context using the data from the session on the defaultContext
`protected void` | `validate(RPCWebEvent rpc)` ValidateRPC looks in the RPCStruct for all needed elements and gotoErrorPage in case an element is found or wronglz formated, this is useful so that we won't need to check later for anz variables, simply get them and start Working
`protected void` | `validateBBox(RPCMember bboxRPCMember)` Validates the data in the struct to make sure it contains a valid bbox
`protected void` | `validateCntxtProperties()` This method checks the context.properties file to make sure that all fields needed are available
`protected void` | `validateLayerList(RPCMember layerListRPCMember)` Validates the data in the struct to make sure it contains a valid layerList

Methods inherited from class org.deegree.portal.standard.context.control.AbstractContextListener
`changeBBox, changeLayerList, extractBBox, extractBBox, extractRPCParameters, extractRPCStruct, getContextList, getUserName, getUserPassword, getUsersStartContext, readSessionID, transformToHtmlMapContext`

Methods inherited from class org.deegree.enterprise.control.AbstractListener
`getAlternativeNextPage, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest, getReturnValue, gotoErrorPage, handle, setAlternativeNextPage, setDefaultAlternativeNextPage, setDefaultNextPage, setNextPage, setReturnValue, toModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTEXTPATH

    public static final String CONTEXTPATH

  the path to where the Web Map Context files are found

  See Also:
    Constant Field Values

### DEFAULT_CTXT2HTML

    protected static final String DEFAULT_CTXT2HTML

  A `String` defining the name of the xsl file that defines the transformation from a context to html. This must be placed, together with the map context xml and helper xsl files, under `${context-home}/WEB-INF/conf/igeoportal/`.

  See Also:
    Constant Field Values

Constructor Detail

### FullScreenListener

    public FullScreenListener()

Method Detail

### actionPerformed

    public void actionPerformed(FormEvent event)

  Specified by:
    `actionPerformed` in interface `WebListener`
  Specified by:
    `actionPerformed` in class `AbstractListener`

### validate

    protected void validate(RPCWebEvent rpc)
                     throws PortalException

  ValidateRPC looks in the RPCStruct for all needed elements and gotoErrorPage in case an element is found or wronglz formated, this is useful so that we won't need to check later for anz variables, simply get them and start Working

  Parameters:
    `rpc` -
  Throws:
    `PortalException`

### validateCntxtProperties

    protected void validateCntxtProperties()
                                    throws PortalException

  This method checks the context.properties file to make sure that all fields needed are available

  Throws:
    `PortalException`

### initialize

    protected void initialize()
                       throws PortalException

  Initializes the global variables

  Throws:
    `PortalException`

### setToFullScreen

    protected ViewContext setToFullScreen(RPCWebEvent rpc)
                                   throws ParserConfigurationException,
                                          PortalException,
                                          ContextException

  Applies the modules read from the context.properties file to the current context using the data from the session on the defaultContext

  Parameters:
    `rpc` -
  Returns:
    the view context for full screen
  Throws:
    `ParserConfigurationException`
    `PortalException`
    `ContextException`

### setCurrentContext

    protected void setCurrentContext(ViewContext vc)
                              throws ParserConfigurationException,
                                     TransformerException,
                                     SAXException,
                                     MalformedURLException,
                                     IOException

  Takes in viewContext converts it to a html of the viewcontext and display it

  Parameters:
    `vc` - the Viewcontext after convert
  Throws:
    `ParserConfigurationException`
    `TransformerException`
    `SAXException`
    `MalformedURLException`
    `IOException`

### validateLayerList

    protected void validateLayerList(RPCMember layerListRPCMember)
                              throws PortalException

  Validates the data in the struct to make sure it contains a valid layerList

  Parameters:
    `layerListRPCMember` -
  Throws:
    `PortalException`

### validateBBox

    protected void validateBBox(RPCMember bboxRPCMember)
                         throws PortalException

  Validates the data in the struct to make sure it contains a valid bbox

  Parameters:
    `bboxRPCMember` -
  Throws:
    `PortalException`

### createFullScreenContext

    protected ViewContext createFullScreenContext(RPCStruct struct,
                                                  ViewContext vc)
                                           throws ContextException,
                                                  PortalException

  Sets the given context to FullScreen mode.

  Parameters:
    `struct` - the rpc struct containing the current bbox envelope
    `vc` - view context with the layers
  Returns:
    The context transformed to the fullScreen size
  Throws:
    `ContextException`
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org